INTRODUCTION

Généralités

Dans ce tutorial, nous allons découvrir pas à pas le processus de saisie d'un circuit assez simple pour vous familiariser avec les techniques requises qui vous permettront d'utiliser de façon optimum ISIS. Ce tutorial débute sur les opérations les plus simples - placement et câblage des composants - avant de passer en revue l'utilisation des fonctionnalités plus complexes telles que la création des nouveaux composants.

Le projet développé dans ce tutorial servira ensuite dans le tutorial d'aide au module ARES.

Pour ceux qui veulent visualiser le projet rapidement, le fichier DSPIC33_REC_SCHEMATIC.pdsprj contient le tutorial du circuit dans sa totalité mais pas le circuit imprimé alors que les fichiers DSPIC33_REC_UNROUTED.pdsprj et DSPIC33_REC_COMPLETE.pdsprj contiennent à la fois un schéma complet et le circuit imprimé (PCB). Tous ces projets peuvent être chargés à partir de la commande 'Ouvrir projet' qui se trouve sur la page d'accueil de Proteus V.8, en-dessous des tutoriaux.

Notez que, tout au long du tutorial (et plus généralement de la documentation), nous faisons référence à des raccourcis clavier comme moyen rapide d'exécuter des commandes spécifiques. Les raccourcis indiqués sont ceux par défaut tels qu'ils sont fournis à l'installation. Soyez conscients que, si vous modifiez ces raccourcis, les indications mentionnées dans la documentation ne seront plus valides. Vous pourrez trouver ici des informations sur la façon de configurer vos raccourcis clavier.

Voir également::

Conception de circuit imprimé (Tutorial)

Capture de schéma (Manuel)

Créer un nouveau projet

Nous considérons que Proteus V.8 est déjà installé sur votre ordinateur.

Pour ouvrir le logiciel, cliquez sur le bouton "DEMARRER" et sélectionnez "Tous les Programmes -> Proteus 8 Professional -> Proteus 8". Normalement, au lancement du logiciel, la page d'accueil de Proteus V.8 s'ouvre.

Si vous utilisez une version de démonstration du logiciel, vous pouvez démarrer l'application Proteus via l'onglet "Proteus V.8 démonstration" du menu DEMARRER.

Avant de créer un schéma, mieux vaut commencer par la création d'un projet. Dans ce tutorial, et en relation avec le tutorial sur le circuit imprimé (PCB), nous allons créer un projet autour du schéma/PCB.

Voir aussi :

Nouveau projet dans tutorial de Simulation VSM.

Commencez par cliquer sur le bouton 'Nouveau projet' qui se situe en haut de la page d'accueil de Proteus.

Sur la première page de l'assistant de nouveaux projets, vous devrez spécifier le nom et le chemin de localisation du projet sur l'ordinateur .

Nous avons besoin d'un schéma; par conséquent, lors de la seconde étape, cochez la case en haut de la fenêtre et sélectionnez le fichier par défaut dans la liste en-dessous.

De la même façon, nous avons besoin d'un circuit imprimé; cochez la case en haut de la fenêtre "Circuit PCB" et choisissez le fichier par défaut dans la liste en-dessous.

Comme nous ne simulerons pas le projet, quittez la page "firmware" et continuez sur la fenêtre "Résumé" qui se présente comme ci-dessous :

Cliquez sur le bouton "Terminer" pour créer votre projet.

Pour plus d'information:

Le gabarit "schéma" peut contenir des pré-réglages pour la taille des feuilles, la couleur du schéma, le logo de la société, l'entête, etc. Vous trouverez plus d'information sur ce sujet dans la rubrique Gabarit de notre manuel.

Le gabarit "PCB" peut contenir des information sur le bord de carte, les trous, les règles de conception, etc. Vous trouverez plus d'information sur ce sujet dans la rubrique Gabarits de la documentation PCB (Manuel ARES).

Deux onglets seront présents à l'ouverture du projet : un pour le schéma (ISIS), un autre pour le circuit imprimé (ARES). Cliquez sur l'onglet ISIS pour mettre à l'avant-plan le schéma.

Visite guidée de l'éditeur ISIS

La zone la plus grande de l'écran ISIS, s'appelle 'Fenêtre d'édition' et se comporte comme une fenêtre de dessin. C'est là que vous placez et reliez les composants. La région plus petite, en haut et à droite de l'écran, est nommée 'Vue d'ensemble'. Normalement, cette vue d'ensemble, comme son nom l'indique, s'utilise pour afficher une vue générale de la totalité de votre dessin - le cadre bleu montre les limites de la feuille en cours et le cadre vert montre la région actuellement visible dans la fenêtre d'édition. Cependant, quand on choisit un nouvel objet dans le sélecteur d'objets, la fenêtre d'ensemble donne un aperçu de l'objet choisi. Nous reviendrons sur ce point plus loin.

Fenêtre d'édition du module ISIS

Si la position des barres d’outils ne vous convient pas, vous pouvez la modifier en les plaçant sur l’un des quatre côtés de l’application. De la même manière, vous pouvez déplacer avec la souris le sélecteur d’objet et la vue d’ensemble sur la partie droite de l’application.

Les options de barres d'outils et de menu commutent en fonction de l'onglet mis en premier plan. Ainsi, lorsque dans ce tutorial, nous nous référons à une icone ou une commande de menu, nous considérons que l'onglet en avant-plan dans Proteus est celui du schéma (ISIS).

Un clic droit avec la souris dans le sélecteur d’objets ou dans la vue d’ensemble ouvrent un menu contextuel qui contient une option ‘cacher automatiquement’. Cette option est très utile lorsque vous souhaitez maximiser l’espace de travail. Le fait de la cocher ouvrira automatiquement le sélecteur et la vue d’ensemble lorsque la souris est placée sur eux, ou cachera cette zone lorsque la souris s’en éloigne.

Valider le mode ‘cacher automatiquement’ Sélecteur d’objets minimisé

Voir aussi:

Ecran d'affichage

Il est possible de se déplacer dans la fenêtre d'édition de deux façons; en ajustant l'échelle du dessin (zoom) et en ajustant la portion visualisée (panoramique). Ces techniques sont présentées ci-dessous:

Zoom

Pour ajuster l’échelle d’affichage, vous pouvez :

  • Pointez la souris sur la zone à zoomer et utilisez la molette centrale de la souris.

  • Pointez la souris sur la zone à zoomer et utilisez les touches F6 ou F7 pour augmenter ou réduire le coefficient du zoom.

  • Maintenez la touche SHIFT enfoncée et, avec le bouton gauche de la souris, étirez un rectangle autour de la zone à zoomer. C'est la technique du Zoom Shift.

  • Utilisez les icônes Zoom avant, Zoom arrière, Zoom tout ou Zoom zone de la barre d’outils

Icones 'Zoom'

La touche F8 peut être utilisée à tout instant pour revenir à la totalité du dessin.

Les techniques du Zoom Shift et de la molette centrale de la souris s'appliquent également dans la vue d'ensemble. C'est à dire que vous pouvez positionner la souris dans la vue d'ensemble et adapter le coefficient de zoom de la portion visualisée avec la molette ou le zoom shift.

Panoramique

Comme pour le zoom, il existe plusieurs façons de se déplacer dans la fenêtre d'édition :

  • Cliquez sur le bouton central de la souris pour valider le mode de suivi panoramique. Ceci place ISIS dans un mode où la feuille entière est préemptée et se déplacera en relation avec les mouvements de la souris. Le curseur change d'aspect pour vous indiquer que vous êtes entré dans ce mode spécifique. Cliquez gauche à nouveau pour quitter ce mode.

  • Pour effectuer un panoramique simple et parcourir la fenêtre d'édition vers la haut, le bas, à gauche ou à droite, pointez avec la souris au-dessus de la zone d'intérêt et appuyez sur la touche F5. Ceci recentrera l'affichage par rapport à la position de la souris.

  • Maintenez la touche SHIFT enfoncée et, lorsque la souris vient buter sur un bord de la fenêtre d'édition, la panoramique s'effectuera automatiquement dans la bonne direction. C'est la technique du Panoramique Shift.

  • Si vous souhaitez vous positionner directement à un autre endroit du dessin, la méthode la plus simple est de pointer au centre de la zone désirée dans la vue d'ensemble et de cliquer gauche.

  • Utilisez l’icône Panoramique de la barre d’outils.

Notez que si vous utilisez la méthode du suivi panoramique décrite ci-dessus, vous pouvez dans le même temps zoomer avec la molette souris. Donc, cliquez sur le bouton gauche pour préempter la feuille, ce qui la déplacera en relation avec les mouvements de la souris et zoomez avec la molette. Cliquez gauche pour quitter ce mode.

Il est utile de tester ces méthodes pour vous familiariser avec la navigation dans ISIS - ce sont, somme toute, les opérations que vous utiliserez le plus souvent. En particulier, apprendre à utiliser la molette souris vous fera gagner énormément de temps pour la conception du votre schéma.

Il est possible d'afficher une grille de points dans la fenêtre d'édition avec la commande Grille du menu 'Affichage', ou en pressant la touche 'G' du clavier ou en cliquant sur l’icône Grille. Cette trame aide à aligner les composants ou les liens des connexions et est moins intimidante qu'un écran vide. Si vous avez des difficultés pour voir les points de la grille, ajustez légèrement le contraste de votre moniteur (par défaut les points sont en gris clair), ou changez leur couleur par la commande Définir configuration par défaut du menu 'Gabarit'.

Sous la vue d’ensemble se trouve le sélecteur d’objets que vous pouvez utiliser pour choisir des composants, des symboles ou d’autres objets.

Pour terminer, en bas et à droite de l'écran, se trouve l'affichage des coordonnées de la position du curseur. Les unités de mesure sont exprimées en 1th (millième de pouce) et l'origine est le centre du dessin.

Affichage des coordonnées dans ISIS.

Notez que ISIS permet de repositionner les barres d'icônes et également de déplacer/redimensionner la zone 'Vue d'ensemble/Sélecteur d'objets'. Soyez conscient cependant que les explications données dans cette documentation se réfèrent à la position par défaut des éléments de l'interface.

Aides visuelles à la conception du schéma

ISIS est conçu pour être simple à utiliser et, pour ce faire, dispose de deux caractéristiques qui vous aident lors de la conception de votre projet – les objets sont automatiquement entourés d’une ligne alternée lorsque la souris est placée au-dessus d’eux et l’apparence des curseurs souris s’adapte en conséquence. Principalement, le repérage d’objet indique sur quel objet la souris est placée (l’objet ‘chaud’) et le curseur souris indique ce qui se passe lorsque vous cliquez gauche sur l’objet. Les curseurs utilisés, ainsi que leurs actions, sont résumés ci-dessous:

Curseur | Description
 | Curseur standard– utilisé en mode de sélection lorsque la souris n’est pas au-dessus d’un objet ‘chaud’.
 | Curseur de placement – le placement d’un objet débutera sur un clic gauche.
 | Curseur de placement pour fils – un fil débutera toujours (ou se terminera si le fil est en cours de placement) sur un clic gauche.
 | Curseur de placement pour bus - un bus débutera toujours (ou se terminera si le bus est en cours de placement) sur un clic gauche.
 | L’objet sous la souris sera sélectionné sur un clic gauche.
 | L’objet sous la souris pourra être déplacé en maintenant le bouton gauche enfoncé et en glissant l’objet à la position désirée.
 | Le segment de fil pourra être déplacé en maintenant le bouton gauche enfoncé et en glissant l’objet à la position désirée
 | Un clic gauche affectera la propriété à l’objet (utilisé avec l’outil d’affectation des propriétés).

Le tutorial fait appel à plusieurs de ces curseurs.

Raccourcis clavier

Si vous préférez utiliser les raccourcis de votre clavier pour invoquer les différentes commandes et boites de dialogue nécessaires à la conception de vos schémas, Proteus fournit un procédé complet et flexile pour affecter des raccourcis à ses différentes fonctionnalités.

Vous pouvez invoquer la boite de dialogue - qui contient l'intégralité des commandes possible dans ISIS - à partir du menu 'Système". Sélectionnez ensuite un commande et associez lui un raccourci clavier.

Boite de dialogue des commandes pour créer des 'Raccourcis clavier'

Bien qu'il y ait très peu de restrictions en matière de raccourcis clavier, il existe cependant quelques raccourcis clavier standard globaux à tout le système Proteus (par ex CTRL+S pour 'sauvegarder').

Voir également:

Liste des raccourcis clavier

Options d'affichage

ISIS est capable d'utiliser au mieux la puissance de votre carte graphique pour un meilleur fonctionnement et un affichage homogène de très bonne qualité. Cependant, tous les ordinateurs ne possédent pas une carte graphique performante; c'est pourquoi le logiciel est également capable d'utiliser Windows pour améliorer l'affichage et le graphisme dans ISIS. On appelle ces modes d'opération:

  • Mode Windows GDI Mode.
  • Mode accéléré OpenGL Hardware.
  • Mode accéléré Direct 2D Hardware.

Si votre carte graphique n'est pas assez puissante, ISIS choisira par défaut le mode Windows GDI.

La configuration des options d'affichage se fait à partir de 'Définir options d'affichage' dans le menu 'Système'. La plupart de ces options sont spécifiques à une technologie d'accélération de hardware particulière et ne peuvent être utilisées lorsqu'un mode différent est sélectionné.

Options d'affichage des différents modes graphiques

La première section de la boite de dialogue vous permet de spécifier si votre carte graphique supporte le mode Open GL, ce qui permet de commuter entre le mode GDI et le mode OpenGL. Les sections suivantes montrent comment configurer les options disponibles dans la boite de dialogue.

L'option 'Panoramique automatique' vous permet de contrôler la distance, la fluidité et la vitesse des opérations de zoom sur le schéma. Par exemple, en gardant la touche shift enfoncée et en amenant le curseur de la souris contre le bord de la fenêtre d'édition, vous pourrez faire un panoramique sur l'écran.

Les options de mise en surbrillance des objets sur le schéma vous permettent de contrôler l'intensité et la vitesse de ces effets. Le taux d'attaque spécifie la vitesse à laquelle un objet passera de ‘totalement off’ à 'totalement on’ et le taux de sortie vous permet d'ajuster la vitesse à laquelle un objet retournera à ‘totalement off’. Ces options ne sont disponibles qu'avec le mode OpenGL.

Enfin, le multi-échantillonnage vous permet de spécifier le niveau d'anti-aliasing souhaité en mode OpenGL. Plus le niveau de multi-échantillonnage est élevé, meilleur sera l'anti-aliasing; cependant, cela nécessite beaucoup de ressources GPU. Ainsi, si vous sélectionnez un niveau de multi-échantillonnage qui n'est pas supporté par votre carte graphique, le logiciel se réglera automatiquement au niveau supporté par votre matériel.

Il existe énormément de différences dans le multi-échantillonnage des différentes cartes graphiques actuellement sur le marché. Certaines présentent des textes lisses alors qu'avec d'autres, les textes semblent flous; d'autres encores posent des problèmes d'affichage. Nous vous suggérons d'arrêter le multi-échantillonnage si vous choisissez de travailler avec le mode OpenGL.

Pour configurer les couleurs et les styles dans ISIS, vous devez aller dans le menu 'Gabarit'. Ce menu regroupe toutes les options vous permettant de modifier aussi bien la grille et les couleurs de mise en surbrillance que l'épaisseur ou la couleur de tous les types d'objets utilisés dans votre dessin.


Design Overview

LE SCHEMA

Introduction

Ci-dessous, vous pouvez voir le circuit que nous allons dessiner dans ce tutorial. Ce schéma est relativement simple, mais permet néanmoins de découvrir la majorité des fonctionnalités de l'éditeur de schéma ISIS. Ce schéma étant assez réaliste, il servira également de base à la conception de circuit dans le tutorial PCB (ARES).

Enregistreur de données DsPIC33

Description générale

L'enregistreur de données dsPIC33 présenté dans ce tutorial est conçu pour enregistrer les données de trois variations climatiques majeures:

  • Pression atmosphérique
  • Température ambiante
  • Humidité relative

Plusieurs transducteurs bon marché avec des interfaces digitales ou de traitement intégré du signal ont été utlisés pour le métrage. Cela permet de réduire au minimum le nombre de composants requis pour interfacer le dsPIC33.

Toutes les mesures seront périodiquement stockées dans une mémoire non-volatile et basse puissance dans un format binaire pour un tranfert ultérieur à un serveur PC en utilisant soit un terminal série soit, plus correctement, un programme simple (non fourni avec le projet). Dans ce projet, nous utiliserons un terminal en série.

Le circuit a été conçu pour fonctionner avec une batterie sur une période relativement longue dans un environnement laissé sans surveillance; pour cela, une attention particulière a été apportée à l'optimisation de la durée d'existence de la batterie. L'enregistreur sera en veille la plupart du temps et se mettra en état de marche périodiquement, au moment où devront avoir lieu les opérations d'enregistrement requises.

Description du circuit

Vous pouvez voir sur le diagramme ci-dessous le comportement et les intéractions des différents composants du circuit.

Diagramme de l'enregistreur de données dsPIC

Dans ce tutorial, nous allons voir les bases de la conception d'un dessin sous ISIS. Nous n'aborderons pas ici la théorie autour de la conception de schémas pour nous focaliser entièrement sur les aspects pratique de l'utilisation du logiciel.


Basic Schematic Entry

LES BASES DE LA CONCEPTION DE SCHEMA

Les bases de la conception de schémas

Pour commencer ce tutorial, nous allons nous familiariser avec les bases de la conception de schémas: prendre des composants en bibliothèques, les placer sur le schéma et les connecter ensemble.

Notre dessin comprend une quantité raisonnable de composants. Nous fournissons le dessin complet à la fin de ce chapitre; par conséquent, si vous pensez maîtriser les bases de la conception de schémas, vous pouvez sauter les paragraphes qui suivent. Nous vous recommandons cependant vivement de parcourir l'intégralité de cette documentation.

En premier lieu, il nous faut sélectionner les composants dont nous avons besoin en bibliothèque.

Prendre des composants en bibliothèque

Vous pouvez prendre des composants en bibliothèque de deux façons:

  • Vous pouvez cliquer sur le bouton P en haut et à gauche du Sélecteur d'objets, comme indiqué ci-dessous, ou utiliser l'icône ‘Parcours de bibliothèques’ ou le raccourci clavier (touche P par défaut).

  • Vous pouvez cliquez droit avec la souris dans une zone vide du schéma et lancez la commande 'Placer - Composant à partir des bibliothèques' du menu contextuel.

Ces deux méthodes ouvriront la fenêtre de parcours des composants en bibliothèques.

Vous trouverez ci-dessous une liste de tous les composants dont nous avons besoin pour notre schéma :

27N002 | 24LC64 | AVX0805NP022P | AVX0805X7R1N | AVX08055X7R10N
AVX0805X7R100N | B82432T1103K000 | BAS40 | CHIPRES1K | CHIPRES10K
CHIPRES20K | CHIPRES68K | CHIPRES100K | CHIPRES100R | CHIPRES200K
CONN-H2 | CONN-SIL4 | CONN-SIL6 | CRYSTAL | DSPIC33FJ12GP201
JUMPER | LED-RED | LM285-2V5 | LM358 | MAX1724
MPX4115 | SHT15 | TAWD106M025R0600 |  |

Plusieurs méthodes sont possibles pour importer des composants des bibliothèques vers le schéma. La plus simple consiste à entrer le nom recherché, lorsque vous le connaissez. Essayez en entrant ’2N7002’ dans le champ 'Mots clés'. Vous obtiendrez immédiatement un résultat et vous pourrez alors simplement double-cliquer sur l'élément de la liste qui vous intéresse pour l'importer dans le shcéma. Cet élément sera alors transféré dans le sélecteur d'objets, comme montré ci-dessous.

Le 2N7002 dans le sélecteur d'objets

En supposant que nous connaissons le noms de tous les composants que nous utiliserons, il suffira de suivre la même méthode pour chacun d'entre eux. Si ce n'est pas le cas, ISIS vous permet également de trouver vos composants dans les bibliothèques en utilisant le navigateur de bibliothèques comme vous le feriez pour une recherche Internet, en tapant un mot clé descriptif, puis en naviguant parmi les résultats pour trouver votre composant.

Utiliser à présent la même méthodologie pour les résistances; tapez ‘1k resistor’ dans le champ 'Mots clés' pour trouver le composant CHIPRES1K (double-cliquez sur le composant dans la liste de résultats afin de l'importer dans le schéma). Faites ensuite la même chose pour ‘10k SMT resistor’ tpour trouver et importer le composant CHIPRES10k et ainsi de suite...

Prendre le composant CHIPRES10K

Vous pouvez personnaliser les informations affichées dans la liste des résultats en cliquant droit dans cette liste. En plus du résultat, le menu contextuel permet d'afficher les options Catégories, Sous-Catégories, Fabricant ainsi que la Bibliothèque.

Il se peut que vous recherchiez un type spécifique de composants ou/et un composant d'un fabricant bien défini. Pour prendre un exemple, videz le champ des mots clés, puis sélectionnez la catégorie 'Condensateurs'. Pour notre dessin, nous recherchons des capuchons en Nickel Barrier de chez AVX; nous pourrions filtrer les résultats en sélectionnant Nickel Barrier dans le champ des 'Sous-catégories' et AVX dans celui des 'Frabricants'. Le nombre de résultats obtenus serait cependant trop important. Il faudra alors taper, dans le champ des mots clés, ‘22p’, ‘1N’, etc., pour isoler et sélectionner les composants recherchés ici (AVX0805NP022P, AVX0805X7R1N and so on).

Bien que ces exercices semblent un petit peu tirés par les cheveux, les techniques décrites sont assez flexibles pour vous permettre de localiser rapidement n'importe quel composant. Pour trouvez vos composants, vous aurez besoin d'utiliser une ou plusieurs de ces méthodes. Une fois terminé, tous les composants dont vous avez besoin seront placés dans le Sélecteur d'Objets, comme montré sur l'écran ci-dessous.

Liste des composants requis pour notre schéma

Les informations contenues dans la liste de résultats du navigateur de bibliothèque peuvent être personnalisées par un clic droit sur les résultats de la liste. Le menu contextuel vous fournit des options d'affichage: Categories, Sous-Categories, Fabricant, Code interne and Bibliothèque.

Par exemple, si vous voulez chercher un code interne spécifique, il faudra vous assurer que la colonne des codes internes soit activée (clic droit sur la liste de résultats), puis taper quelque chose comme ‘digi <stockcode>’ pour localiser le code interne 'digikey'.

De façon similaire, si vous voulez chercher un composant dans votre bibliothèque personnelle, vous pouvez simplement activer le champ 'bibliothèque', puis taper quelque chose comme ‘user <partname>’; le terme 'user' permettra de limiter les résultats à la bibliothèque USERDVC puis de réduire la recherche à vos bibliothèques personnelles.

Placer des composants sur le schéma

Après avoir sélectionné nos composants, nous devons les placer sur la zone de dessin - La Fenêtre d'Edition - puis les connecter entre eux. Sur la copie écran, vous noterez que nous avons divisé le contenu du schéma en différents blocs logiques de circuit. Ce n'est pas esthétique, mais cela permet de réduire l'encombrement de fils sur le schéma et nous permettra d'utiliser les terminaux pour former des connexions.

Schéma de l'enregistreur de données dsPIC33

Nous allons commencer par dessiner la portion de circuit représentée ci-dessous:

Portion du circuit I2C

Commencez par placer le composant mémoire I2C comme indiqué ci-dessous:

  • Selectionnez le composant 24CL64 dans le sélecteur d'objets.

  • Cliquez gauche sur le schéma pour entrer en mode placement.

  • Déplacez la souris jusqu'à la zone où vous souhaitez placer le composant et cliquez gauche une nouvelle fois pour 'déposer' le composant et terminer le placement.

Il arrive que vous soyez contraint de déplacer des blocs ou parties de circuit après le placement; Plusieurs méthodes de sélection sont possibles. Ces procédures devraient être familières à la plupart d'entre vous. Pour sélectionner un objet à déplacer, gardez le bouton gauche de la souris appuyé pour entourer l'objet, déplacez le curseur jusqu'au nouvel emplacement, puis relachez le bouton.

Plusieurs méthodes permettent de sélectionner un objet dans ISIS:

  • Choisissez l'icône 'Selection' et cliquez gauche sur l'objet. C'est la technique standard de sélection d'un objet utilisée dans la plupart des logiciels graphiques. Si vous utilisez cette méthode, souvenez-vous que vous devrez valider un autre mode (icône) pour réaliser une autre action, telle qu'un placement de composant.

  • Cliquez droit avec la souris sur l'objet provoque sa sélection et affiche un menu contextuel qui regroupe toutes les actions possibles.

  • Etirez un rectangle autour de l'objet à sélectionner en commençant par appuyer sur le bouton gauche de la souris. Cette méthode fonctionne pour tout objet (ou groupe d'objets). Des poignées de sélection apparaîtront pour permettre un redimensionnement de l'objet – par exemple, lorsque le rectangle n'entoure pas totalement l'objet.

A présent, utilisez l'une de ces techniques pour déplacer le composant mémoire du bas de la fenêtre d'édition à la place qu'il occupait sur la capture d'écran montrée au début de ce chapître.

Après avoir placé le composant mémoire, nous avons besoin de réaliser le circuit périphérique du bas et de l'orienter correctement. Pour ce faire, il nous faut 2 résistances 10k 'pull up' et 2 résistances 100 Ohm pour les données et les pistes d'horloge. Nous allons aussi avoir besoin d'utiliser des terminaux pour parfaire les connexions avec les blocs d'alimentation, de terre et autres du circuit. Commencez par sélectionner le composant CHIPRES10k et cliquez gauche sur l'icône 'Rotation anti-horaire' (voir ci-dessous); Notez que la présentation de la résistance dans la fenêtre d'édition est orienté à 90°.

Orientation du composant CHIPRES10K

Placez à présent la resistance à gauche du composant mémoire. Puis, cliquez simplement sur la fenêtre d'édition pour commencer le placement de la seconde résistance 10K en-dessous de la première.

Ensuite, sélectionnez CHIPRES100R, orientez-le de façon appropriée (voir ci-dessous) et placez en deux à gauche du composant mémoire, en alignement des broches SCK et SDA.

Vous pouvez également orienter les composants en mode placement. Pour ce faire, cliquez gauche pour entrer en mode placement, puis utiliser le '+' et le '-' du clavier pour orienter votre composant. Cliquez gauche à nouveau pour valider le placement lorsque la position et l'orientation vous conviennent.

Les terminaux sont ici utilisés comme terminaisons d'un fil ou pour créer une connexion. Une connexion peut être une connexion d'alimentation ou de terre, mais elle peut être aussi un simple fil sur le circuit. Les terminaux vous permettent à la fois de réduire le nombre de fils (Pour éviter les schémas "spaghetti") et de créer des connexions entre les différentes couches du schéma. Pour placer les terminaux, commencez par sélectionner le mode 'Terminal'; Cette action commutera le sélecteur d'objets afin de vous fournir une liste des différents types de terminaux disponibles.

Nous avons besoin d'un terminal d'alimentation ainsi que de deux terminaux par défaut à connecter au bus I2C. A ce stade, le placement et l'orientation est toujours le même dans ISIS, quelque soit l'élément sélectionné. Placez à présent les terminaux appropriés à leur place approximative afin d'obtenir un dessin qui ressemble à celui montré ci-dessous.

Selectionnez l'icône 'Mode Terminal', puis le terminal requis

moins que vous soyez très adroit, il y a peu de chances que tous vos composants soient orientés et positionnés dans le bon sens; c'est donc le bon moment pour mettre en pratique les méthodes de positionnement des composants vus plus haut. Veuillez notamment noter que vous pouvez déplacer des blocs d'objets en traçant autour un rectangle de sélection.

Visualisation de votre dessin après avoir placé les terminaux correctement

De façon similaire, vous pouvez effacer un bloc que vous avez sélectionné (ou plusieurs blocs) soit par un clic gauche sur un espace vide, soit par un clic droit sur un espace vide en choisissant l'option 'Supprimer blocs' dans le menu déroulant.

Marquer une portion du dessin

Souvenez-vous que vous pouvez orienter les composant en utilisant les touches '+' et '-' de votre clavier.

Connexion des composants du schéma

Comme pour le placement et le positionnement, l'interconnexion des composants est une des tâches usuelles que vous aurez à réaliser. Pour ce faire, trois techniques sont disponibles dans ISIS:

Connexion naturelle

Il n'existe pas de 'mode de connexion' dans ISIS - les fils peuvent être placés et édités à tout instant. Ceci réduit les déplacements souris pour commuter de mode et réduit le temps de développement de votre projet.

Autoroutage suivez-moi

Après le placement du départ d'un fil, la route proposée suivra la souris de manière orthogonale par rapport au point de connexion d'arrivée.

Affichage du curseur temps réel

Lors d'un routage, le curseur change d'aspect pour indiquer lorsqu'un fil peut être placé, lorsqu'une connexion peut se terminer ou lorsqu'un fil est en cours de placement.

La procédure usuelle pour le placement d'un fil entre deux broches vous est donnée ci-dessous; nous utiliserons la connexion entre la broche SCK du composant mémoire et la resistance 100Ohm comme exemple:

  • Déplacez la souris sur la broche SCK du composant mémoire - le curseur prendra la forme d'un stylo vert.

  • Cliquez gauche sur la souris, puis déplacez le curseur sur la gauche, jusqu'à ce qu'il atteigne la broche de la resistance 100 Ohm. Le fil suivra le mouvement de la souris et le curseur/stylo sera de couleur blanche pendant tout la durée du dessin du fil de connexion.

  • Cliquez à nouveau gauche sur la souris pour terminer la connexion et placer le fil.

La procédure de connexion avec un fil existant est à peu près identique. Notez simplement que:

  • Vous ne pouvez pas débuter une connexion à partir de n'importe quel point de votre fil. Dans notre exemple, vous voulez donc commencer votre connexion en partant d'une broche pour la terminer sur un fil.

  • Au moment de terminer la connexion sur un autre fil, un point de jonction entre les deux fils sera automatiquement créer pour achever la connexion.

Si, pendant la création de votre dessin, vous voulez faire une connexion fil-à-fil, vous devez commencer par placer un point de jonction sur le fil, puis vous tracer le fil de connexion à partir de ce point jusqu'à l'autre fil.

Si vous voulez ajuster un fil après le placement (par exemple, le fil allant de la broche SDA à la resistance), cliquez simplement droit sur le segment que vous voulez déplacer, puis vous pouvez soit sélectionner l'option 'Glisser fil' dans le menu déroulant, soit maintenir appuyer le bouton gauche de la souris et glisser le curseur jusqu'à la nouvelle position.

Déplacer un segment de fil

A présent, vous êtes capable de connecter l'ensemble du circuit, afin d'obtenir un schéma comparable à celui représenté ci-dessous:

Tous les composants/terminaux sont placés sur le schéma.

Rappelez-vous qu'ISIS fournit des indicateurs visuels pour vous aider. Si le curseur devient vert, vous pouvez commercer/arrêter le placement des fils.

Voir également:

Connexion

Se connecter à des terminaux

La dernière chose consiste à donner un label aux terminaux. Les noms des terminaux sont très importants car ils permettent de connaître le type de connexion créé. Vous pouvez donner les noms que vous voulez, mais nous vous conseillons de privilégiez les terminologies naturelles des composants pour une meilleure compréhension du schéma.

Exemple d'utilisation de terminaux à la place des fils

Les terminaux d'alimentation et de terre sont des excpetions. Normalement, il n'y a pas lieu de leur attacher des labels. Un terminal d'alimentation sans label est assigné à un lien VCC et un terminal de terre sans nom à un lien GND.

Editer un label pour un terminal signifie créer une connexion avec un autre endroit du schéma (un terminal avec le même nom) sans placer de fil physique entre deux objets.

Comme vu précédemment, ISIS permet d'utiliser différentes méthodes d'édition de terminaux. Vous pouvez:

  • Double cliquez sur un terminal.

  • Cliquez droit sur un terminal pour le sélectionner et lancer le menu déroulant, puis utiliser l'option 'Editer propriétés'.

  • Entrez dans le Mode Selection, cliquez gauche pour mettre en sur-brillance le terminal, puis cliquez droit pour lancer le menu déroulant et utiliser l'option 'Editer propriétés'. Une fois terminé, quittez le mode Sélection.

Après avoir lancé la boite de dialogue des terminaux, taper VDD dans le champs prévu à cet effet (voir ci-dessus), cliquez sur OK et fermer la boite de dialogue.

Notez que, si besoin, vous pouvez ajouter un préfixe '+' ou '-' à un terminal numérique. Par exemple, un terminal étiqueté 12V peut paraître ambigu; c'est pourquoi il vaut mieux le marquer +12V ou –12V.

Pour finir, il vous faut à présent éditer les autres terminaux et les labeliser afin de compléter le circuit, comme montré ci-dessous:

Circuit complet

Voir aussi:

Terminaux

Connexions d'alimentation

IISIS supporte un puissant système pour créer implicitement des connexions d'alimentation tout en réduisant le nombre de fils visibles sur le schéma. Il nous faut ici aborder 3 concepts majeurs:

Broches d'alimentation cachée

La plupart des composants sous ISIS possèdent des broches d'alimentation cachées (non visibles sur le schéma). Le point crucial dont il faut vous rappeler est que dans ce cas, le nom de la broche par défaut indique à quel lien celle-ci sera conenctée.

Voir aussi:

Broches d'alimentation cachées

Configuration des liens d'alimentation

La boite de dialogue 'Configuration des liens d'alimentation' - menu projet - est la façon la plus simple de gérer les liens d'alimentation et la connectivité de votre schéma. Si nous ouvrons cette boite de dialogue maintenant, nous voyons que nous avons 3 plans d'alimentation pré-définis, appelés GND, VCC/VDD et VEE. Nous pouvons voir que le lien GND est connecté à l'alimentation GND et que les liens VCC et VDD sont connectés à l'alimentation VCC/VDD. Comment ce résultat a-t-il été obtenu?

  • Le lien GND est créé par toute connexion à un terminal de terre non labélisé.

  • Le lien VDD nst créé par toute connexion à un terminal d'alimentation labélisé VDD.

  • la mémoire I2C posséde deux broches d'alimentation cachées, VCC et GND, qui sont assignées aux liens du même nom.

La gestion des liens et des plans d'alimentations est un concept primordial; nous allons donc faire un peu d'expérimentation pour bien assimiler ce point. Après avoir quitter la boite de dialogue 'Configuration des liens d'alimentation', cliquez droit sur le composant mémoire I2C et sélectionner l'option 'Editer propriétés' dans le menu déroulant. Cliquez ensuite sur le bouton Broche Cachée de la fenêtre d'édition pour faire apparaître les broches cachées et les liens qui leur sont assignés.

Broches d'alimentation cachées dans la boite de dialogue des composants ISIS

Opérons une modification en reliant la broche d'alimentation, relié par défaut au lien VCC, au lien VDD. Si nous fermons à présent la boite de dialogue 'Configuration des liens d'alimentation', puis l'invoquons à nouveau et commutons sur le plan d'alimentation VDD/VCC,nous verrons que le lien VCC n'est plus présent.

Profitez-en pour changer le voltage du plan d'alimentation sur 3.3V. Dans le schéma PCB, cela nous sert seulement de référence, mais c'est une information significative pour le logiciel au moment de la simulation.

Cette exercice - montrer comment voir/changer les liens d'alimentation pour chaque composant - n'a aucun effet sur la connectivité du système. Le logiciel est assez intelligent pour assigner les deux liens VCC et VDD à la même alimentation et la boite de dialogue 'Configuration des chemins d'alimentation' nous permet de configurer nos connexions à ce stade du dessin.

Retournons au schéma proprement dit. Editez le terminal VDD (cliquez droit puis 'Editer propriétés') et changez le label du terminal en ‘MY_POWER_NET’. Si vous retournez dans la boite de dialogue 'Configuration des liens d'alimentation', vous verrez que ce label correspond à présent à un lien d'alimentation non connecté (un lien d'alimentation qui n'est pas associé à un plan d'alimentation).

Changer le nom d'un terminal

A présent, nous devons sélectionnez le plan d'alimentation VSS/VDD, puis cliquer sur le bouton ASSIGNER pour tracer notre lien d'alimentation sur le bon plan.

Si nous avions simplement supprimer le label à partir du terminal d'alimentation (au lieu de le renommer), il aurait été désigné comme lien VCC.

Enfin, il faut noter que les nouveaux plans d'alimentations sont crées automatiquement quand vous placer un label avec une tension sur un terminal. Par exemple, marquer un terminal d'alimentation +12V créera automatiquement une alimentation +12V et assignera un lien +12V au plan d'alimentation. Cela signifie qu'aucune action ne sera requise par l'utilisateur.

En règle générale, le logiciel affectera les liens d'alimentation aux plans d'alimentation et créera automatiquement de nouveaux plans d'alimentation. Cependant, si vous avez besoin de plus de flexibilité (par exemple, une terre analogique et une terre digitale), il est préférable d'utiliser les labels de terminaux et la boite de dialogue 'Configuration des liens d'alimentation'.

A présent, pour plus de cohérence, changez votre label de terminal en VDD.

Voir aussi:

Configuration des liens d'alimentation

Les liens d'alimentation globaux

Les liens d'alimentation et les connexions sont toujours globaux pour une feuille donnée du dessin. Par défaut, ils valent pour l'ensemble du schéma. Cependant, si vous avez un schéma multi-feuilles et que vous voulez séparer les plans d'alimentation sur les différentes feuilles, vous pouvez isoler les plans en décochant la case 'Liens d'alimentation globaux' (Menu Projet - Editer propriétés du projet). Cela signifie que vous devez explicitement les relier aux feuilles du schéma, mais pas à une feuille donnée. Cette fonctionnalité est notamment utilisée dans le cas de schémas complexes et ne nous servira pas dans l'exemple décrit dans ce tutorial.

Labels et annotations

Tous les composants placés ont une référence et une valeur uniques. Cette référence est donnée par une fonctionnalité d'ISIS appelée 'Annotation Temps réel' (voir menu Outils); elle est activée par défaut. Cette fonctionnalité permet d'annoter les composants quand vous les placez sur le schéma, sans que vous ayez à le faire manuellement.

Vous avez un contrôle total sur la position et la visibilité des labels de composants; vous pouvez changer leur valeur, les déplacer ou cacher les informations si vous le jugez nécessaire.

Si vous zoomez sur l'une des résistances que vous avez placé, vous verrez que ISIS a positionné un label sur ce composant avec une référence unique (‘R1‘) et une valeur (‘10k’). Vous pouvez éditer ces champs et leur visibilité via la boite de dialogue 'Editer composant'. Pour lancer la boite de dialogue, double cliquez gauche sur la resistance.

Boite de dialogue d'édition des composants

A partir de la boite de dialogue, vous pouvez à la fois éditer le nom du composant et la valeur de la résistance. Les options de visibilité (mise en surbrillance) sont très intéressantes pour nous. Il peut être utile, particulièrement dans le cas de schémas très denses, de cacher certains détails affichés à côté des composants.

A ce stade, il veut la peine de vous familiariser avec l'édition de composants et de vous entraîner à cacher/montrer leurs références et valeurs.

La prudence s'impose lorsque vous modifiez les références des composants de cette façon. Si, par exemple, vous changez ‘R1’ en ‘R2’, alors vous aurez deux composants avec la même référence sur votre schéma. Cela peut vous causer quelques problèmes plus tard; au moment de la création de la netlist dans ARES. Nous recommandons par conséquent aux utilisateurs débutants de modifier les annotations via l'Annotateur Global comme nous le verrons plus tard dans ce tutorial.

Le bouton 'Nouveau' assignera automatiquement une nouvelle référence

De la même façon que vous pouvez cacher les labels de composants, vous pouvez également les déplacer à un endroit plus approprié. Il peut arriver que vous vouliez placer un fil à l'emplacement d'un label et qu'il vous faille donc libérer l'espace. Essayer avec les labels 'R2' et '10k' de la résistance pull up; déplacez-les de l'autre côté du corps du composant.

Commencez par sélectionner la résistance. Pointez à présent sur le label 'R2' et, en gardant le bouton gauche de la souris appuyé, déplacez le jusqu'à sa nouvelle position à gauche du corps du composant. Puis, faites de même avec le label '10k’.

Déplacer la valeur d'un composant

Techniques pour gagner du temps & Edition de blocs

A présent, nous allons jeter un coup d'oeil sur les autres parties du circuit situées sur la feuille supérieure de notre dessin. Nous allons utilisez ce que nous avons appris jusqu'ici et introduire plusieurs techniques qui vous permettront de gagner du temps. Commençons par dessiner le bloc dsPIC33, comme montré ci-dessous:

Section dsPIC33 sur le circuit

Vous devriez être capable de placer les bons composants en comparant les noms des composants dans le Sélecteur d'Objets avec les labels de composants de la capture d'écran au-dessus. Pour plus de clarté cependant, vous pouvez utiliser le tableau ci-dessous comme référence:

C1,C2 | AVX0805NP022P | X1 | CRYSTAL
C3 | TAWD106M025R0600 | C4 | AVX0805X7R100N
R8 | CHIPRES10K | R9 | CHIPRES1K
R10 | CHIPRES100R | D1 | LED-RED
D2 | BAS40 | JP1 | JUMPER
U1 | DSPIC33FJ12GP201 |  |

En premier lieu, nous allons placer et relier les sections 'Oscillateur' et 'Alimentation' du circuit en utilisant les méthodes vues précédemment. Une fois terminé, regarder sur le côté droit où nous pouvons utiliser plusieurs fonctionnalités additionnelles pour accélérer le processus.

ISIS fournit notamment une fonctionnalité très utile pour vous aider à agencer votre circuit électrique dans les cas où vous devez créer une série de fils identiques topologiquement. En résumé, cette fonctionnalité vous permet de dupliquer automatiquement le dernier fil placé pour former une nouvelle connexion.

Commencez par roter et placer un couple de terminaux à droite du processeur.

Placer les terminaux sur le dsPIC33

A présent, dessinez un rectangle de sélection autour des terminaux et sélectionnez la commande 'Copier bloc'; cela vous permettra de copier rapidement 3 ensembles de terminaux supplémentaires, prêts à être connectés. Cliquez droit sur la souris quand vous avez terminé pour quitter le mode Copier.

Option 'Copier bloc'

Placez la première connexion entre la broche 4 (RB0) du dsPIC et le terminal en utilisant la méthode vue précédemment. Au lieu de répéter le processus pour les sept autres connexions, positionnez la souris au-dessus de la broche suivante (jusqu'à ce que le curseur devienne vert) et double-cliquez. Cela dupliquera la connexion, vous permettant ainsi de connecter rapidement les autres fils.

Notez que cette technique consiste à placer un fil identique à celui le précédent. Il s'ensuit que la destination doit être exactement à la même distance (c'est-à-dire alignée) et que vous devez executer les opérations consécutivement.

Nous pouvons maitenant compléter cette portion du circuit en plaçant et reliant les composants restants, puis en marquant les terminaux. Notez qu'une liste des noms des labels des terminaux existants est disponible, ainsi qu'une liste à partir de la boite de dialogue 'Editer terminal' (vous référer au paragraphe sur les labels de terminaux si besoin).

Liste déroulante des terminaux

Il est hautement recommandé d'utiliser cette fonctionnalité car elle permet d'éviter les fautes de frappe. Souvenez-vous que les noms des terminaux engendrent des connexions; il faudra donc faire attention pendant l'opération de labélisation des terminaux.

A ce stade, vous devriez avoir acquis les compétences suffisantes à la création de circuit basique et les trois petits blocs de circuit restants de cette feuille ne devraient donc pas vous poser de problème. Quand vous aurez terminé votre schéma, vous devriez obtenir le résultat ci-dessous:

Circuit DsPIC33 complet

Si vous vous sentez à l'aise avec les sujets dont nous avons discuté au préalable, vous pouvez sauter les phases de dessin et charger un schéma complet pré-enregistré plus loin dans le tutorial.

Pour finir, il faut rappeler que vous pouvez ré-arranger ou déplacer les blocs d'objets à tout moment en traçant un rectangle de sélection autour de ces blocs d'objets et en les déplaçant jusqu'au nouvel emplacement.

Déplacement de la portion de circuit 'Température' vers sa nouvelle place


Multi Sheet Designs

PROJET MULTI-FEUILLES

Projets multi-feuilles et connectivité

Pour les projets de grande taille, il est commun de réaliser le schéma sur plusieurs feuilles. Cela permet à la fois de réduire l'encombrement sur le schéma et d'organiser le projet en blocs logiques. ISIS supporte complétement cette méthodologie; le projet réalisé au cours de ce tutorial a été organisé sur deux feuilles pour pouvoir vous apprendre à créer des projets multi-feuilles. Nous allons donc compléter la première feuille (processeur, capteurs et circuit mémoire) en créant le circuit analogique d'alimentation sur une feuille séparée.

Introduction aux portions de projet

Voir également:

Projets multi-feuilles

Sous-circuits

Notes de projet

Exemples pratiques

Ajouter des feuilles à un dessin

Pour ajouter une nouvelle feuille au schéma, il suffit simplement d'invoquer la commande à partir du menu Projet, comme montré ci-dessous.

Créer une nouvelle feuille

Essayer à présent de générer une nouvelle feuille.

Nommer, Ordonner et Naviguer parmi les feuilles

Même si ce n'est pas nécessaire, il est parfois judicieux de donner un nom aux différentes feuilles d'un schéma et de les ordonner de façon logique. Nous pouvons faire cela à partir de la commande 'Editer propriétés de la feuille' dans le menu Projet.

Boite de dialogue d'édition des propriétés d'une feuille

Le titre de la feuille sera affiché; il est le reflet du contenu de la feuille. Dans notre cas, nous le nommerons ‘Analog, Reference & Power’.

Les feuilles d'un schéma sont organisées par rapport à leur nom; par défaut, ces noms sont 10, 20, etc. La feuille nommée 20 apparaîtra derrière la 1ère feuille (nommée par défaut 10). Si vous préférez une monenclature numérique, vous pouvez changer le nom de la feuille en ‘2’, pour mieux refléter sa position dans la structure du projet.

Les noms des feuilles par défaut peuvent sembler bizarre. Cela est du au fait que dans tout projet ISIS existe une feuille maîtresse qui permet l'ajout d'informations (logo de société, auteur, etc.). Vous trouverez de plus amples informations dans le chapitre Gabarits du manuel de référence joint (Menu Aide -> Aide ISIS).

S'il est parfois souhaitable d'avoir une base d'annotation pour une feuille donnée; Cela signifie que l'annotateur global sera incrémenter à partir de la valeur entrée dans ce champ. Par exemple, si vous configurez cette valeur sur 100, alors la première résistance placée sur la feuille sera annotée comme R100. Si vous quittez cette valeur par défaut, l'annotateur global continuera à partir de sa position actuelle.

Avant de fermer votre boite de dialogue, celle-ci devra ressembler à la capture écran ci-dessous:

Fenêtre d'édition des propriétés de la feuille

Nous allons suivre ce processus pour la feuille dont nous venons de terminer l'agencement. Avant de pouvoir changer les propriétés d'une feuille, nous devons d'abord naviguer sur cette feuille. ISIS permet d'aller sur une feuille donnée de plusieurs façons:

  • Dans le menu Projet, sélectionnez Root Sheet2 en bas du menu déroulant,

  • Dans le menu Projet, selectionnez la commande 'Aller à la feuille' pour commuter sur la feuille désirée.

  • Utilisez les raccourcis clavier PGUP and PGDOWN pour naviguer entre les feuilles. Les raccourcis suivants ouvriront et fermeront respectivement les feuilles, bien que, pour un schéma de deux feuilles, vous aurez l'impression que ces raccourcis ont la même fonction!

L'explorateur de schéma est également un moyen de naviguer sur le schéma. Il y est fait allusion dans le chapitre "Vérification du schéma" de ce tutorial.

Une fois que vous êtes retourné sur la feuille que nous venons d'agencer, répétez simplement le processus avec la feuille nommée ‘MCU, sensors and memory’ et une feuille intitulée '1'.

Propriétés de la feuille 1

Nous pouvons à présent voir les feuilles correctement organisées et nommées en bas du menu Projet.

Dans le Menu Projet, vous pouvez voir les titres des différentes feuilles

Connexions entre feuilles

A présent que nous avons nommé correctement les feuilles, revenons à notre feuille blanche afin de créer le circuit analogique. La capture d'écran ci-dessous montre le circuit que nous devons dessiner.

Comme nous pouvons le voir, nous avons ici trois blocs de circuit: un générateur de référence pour le module ADC, un tampon analogique pour la pression et un convertisseur DC/DC qui fournit 5V de la batterie 3V aux deux autres sections à chaque échantillonnage de la pression.

Si vous sentez que vous avez besoin de plus de pratique, vous pouvez utiliser toutes les techniques décrites jusqu'ici pour compléter votre schéma. A l'inverse, si vous vous sentez à l'aise avec les bases de la conception de schéma, vous pouvez charger le schéma fini pré-enregistré. Toutefois, quelques points méritent d'être soulignés.

En premier lieu, la connectivité entre les feuilles est achevée quand les terminaux sur les deux feuilles ont le même nom . Sur la capture d'écran ci-dessus, vous pouvez voir les noms des terminaux et, en commutant sur la première feuille, les terminaux correspondants avec les mêmes noms. Cette technique permet aux signaux de se propager à travers les deux feuilles, et non sur une seule.

Voir également:

Noms de liens

Deuxièmement, il est possible quand vous placez les fils de 'guider' le placement de ces fils. Pour cela, cliquez gauche sur la souris au moment où vous changez de direction, placez ensuite une 'ancre' pour aider l'algorithme 'Suivez-moi' à positionner le fil comme souhaité. Cette fonctionnalité est typiquement utilisé dans le cas de chemins de connexions complexes, mais nous pouvons cependant prendre un exemple simple pour illustrer notre propos.

Considérons la connexion entre la sortie '-' de U4:B et la résistance R18 comme montré ci-dessous:

Fil de d'entrée négatif vers R18

Si nous supprimons ce fil (clic droit et sélectionnez 'Supprimer'), nous pourrions replacer la connexion à son emplacement habituel et l'algorithme 'Suivez-moi' s'occuperait du reste. Cependant, si nous voulons être plus précis, nous pouvons procéder de la manière suivante:

  • Positionnez la souris sur la sortie '-' de façon à ce que le curseur devienne vert, puis cliquez gauche pour commencer le placement du fil.

  • Déplacez la souris vers la gauche, puis cliquez gauche pour placer une ‘ancre’.

  • Déplacez la souris, cliquez gauche pour placer une autre ancre, puis cliquez droit, placer de nouveau une ancre en cliquant gauche et enfin, redescendez le curseur de la souris sur le fil entre la sortie op-amp et la resistance.

Cette technique contraint l'algorithme 'Suivez-moi' et fournit un meilleur contrôle du placement de fil. Si, au cours du placement, vous changer d'avis et souhaitez supprimer une ancre, cliquez une fois sur le bouton droit de la souris. Enfin, si vous voulez désactiver complétement le routeur automatique de fil et, par exemple, placer un fil à 45°C, pressez simplement la touche CTRL pendant le placement.

Permutation des portes logiques

A présent que nous avons plusieurs composants multi-éléments placés (LM358 dual op-amp), il est temps de regarder comment permuter des portes logiques sur le schéma. La référence d'un composant multi-éléments se compose du nom du composant (ex: U4) et de l'indentifiant de porte logique du composant (ex :. A) comme montré ci-dessous:

U4:A et U4:B

Commencez par éditer l'une des portes logiques LM358 (clic droit - éditer propriétés) pour ouvrir la boite de dialogue d'édition des composants.

Boite de dialogue d'édition des composants pour le Op-Amp

Pour permuter les portes logiques, nous allons commuter les identifiants (A et B) d'un composant (UA). Dans la boite de dialogue d'édition des composants, le champ 'Element' propose un menu déroulant qui liste toutes les portes logiques disponibles; tout ce que nous devons faire, c'est changer d'élement (choiir UA:B) et cliquez sur Ok pour valider notre choix.

Sur le schéma, nous pouvons voir que les portes logiques ont été permutées

.

Voir également:

Permutation des portes logiques sur le schéma


PCB Layout

Le circuit imprimé

Préparer la conception d'un circuit imprimé

A présent que nous avons complété le circuit, nous devons transmettre des informations à la partie PCB du schéma, sous la forme d'une netlist. Une netlist consiste généralement en un ensemble de noms d'empreintes (packages associés aux composants du schéma) et de connexions (fils sur le schéma).

Si votre schéma n'est pas achevé ou si vous souhaitez travailler avec le schéma pré-enregistré, vous pouvez le charger à partir de la commande 'Ouvrir exemples' de la page d'accueil de Proteus. Le nom du fichier est dsPIC33_REC_SCHEMATIC.pdsprj

Remarques sur le packaging

Pour transférer avec succès la netlist, chaque composant dans ISIS doit être associé à une empreinte dans ARES. Par chance, le système Proteus fournit un vaste ensemble de composants pré-packagés. A ce stade, le schéma que nous avez crée ne requiert pas de transformation ou de travail sur le packaging car les composants que nous avons sélectionné en bibliothèque possédent déjà des empreintes qui leur ont été assignés.

Cependant, il est posible que vous puissiez changer les empreintes associés aux composants (per ex. PTH en SMT). Nous utiliserons le schéma de base comme base de test pour explorer les techniques de visualisation et de changement des packaging des composants.

Voir le packaging associé à un composant:

L'empreinte d'un composant est tout simplement une propriété d'un composant dans ISIS. Nous pouvons donc voir aisément les empreintes des composant en éditant les composants. Essayez à présent en cliquant droit sur l'une des résistances du schéma et sélectionnez l'option 'Editer propriétés' dans le menu déroulant. Vous pouvez voir qu'il existe une propriété PCB package dans la boite de dialogue et que le composant est packagé avec une empreinte standard 0805.

Le nouveau packaging apparaît dans la boite de dialogue d'édition des composants.

Vous pouvez également voir que l'empreinte par défaut d'un composant lors de sa sélection en bibliothèque. En bas de la boite de dialogue 'Choix des composants', vous pouvez voir une pré-visualisation de l'empreinte sélectionné pour un composant donné.

Par commodité, à chaque composant d'ISIS peut être associé un ou plusieurs boitiers physiques. Par exemple, si vous lancez la boite de dialogue 'Editer composant', pour le composant dsPIC33, vous aurez le choix entre les empreintes SO18W et DIL18. Dans ce cas, vous pouvez simplement changer l'empreinte requise via la boite de dialogue d'édition des composants.

Changer le packaging d'un composant

  • Lancez la boite de dialogue d'édition des composants en cliquant droit sur la résistance et en sélectionnant 'Editer propriétés' dans le menu déroulant.

  • Cliquez sur le point d'interrogation (voir ci-dessous) pour lancer le navigateur d'empreintes.

  • Videz le champ des mots clef à gauche, puis utilisez les filtres en dessous pour affiner la sélection. Nous voudrions sélectionner la catégorie ‘Discrete Components' avec le type 'Through Hole’ et la sous-catégorie ‘Resistors’. Nous pouvons par exemple sélectionner l'empreinte ‘RES40’ dans la liste de résultats et cliquez sur OK pour l& sélectionner.

  • Vous devriez à présent voir que RES40 est listé comme package PCB pour les composants dans ISIS.

Voir également:

Packaging

Remarques sur les connexions

Quand vous transférez votre schéma dans ARES (netlist), tous les fils et connexions du schéma sont regroupés dans des liens pour le transfert. ISIS s'occupe automatiquement de cette transformation en générant automatiquement des noms numériques pour les liens et en assignant chaque lien à une 'classe de liens'.

ISIS assigne les noms de liens selon les règles suivantes:

  • Une classe de lien sera assignée à un groupe de connexions qui comprend un terminal nommé en fonction du nom du terminal.

  • Un lien GND sera assignée à un groupe de connexions qui comprend un terminal terre non nommé.

  • Un lien VCC sera assigné à un groupe de connexions qui comprend un terminal d'alimentation non nommé.

  • Un nom numérique auto-généré sera donné à tout autre groupe de connexions.

En pratique, nous n'avons rien à faire; il n'y a en effet pas de réel besoin pour que nous nous entraînions à nommer des groupes de connexions. Il est cependant important que vous compreniez les règles qui s'appliquent aux groupes sans noms et aux terminaux de puissance. Si vous avez un doute, nommez explicitement vos terminaux.

Si un lien n'a pas de nom, vous pouvez, si vous le souhaitez, nommer explicitement ce lien en plaçant un label de fil avec un syntaxe du type NET=NAME. Cela peut être utile si vous voulez placer des plans de masse sur ce lien dans ARES; cela peut également vous aider à distinguer ce liens des autres liens qui ont des noms auto-générés.

Une 'classe de liens' est donc un groupe de liens qui ont des propriétés en commun dans le schéma PCB. Pour être plus précis, dans une classe de liens données, toutes les connexions auront la même longueur et obéiront à un même ensemble de règles pour ce qui concerne les isolements et les règles de conception.

La encore, ISIS travaille pour nous et assignera les classes de liens selon les règles suivantes :

  • Chaque lien avec un terminal d'alimentation et de terre est assigné à une classe de lien POWER.

  • Chaque lien avec un bus est assigné à une classe de lien BUS.

  • Tout autre lien est assigné à une classe de lien SIGNAL.

Nous avons ainsi une certaine flexibilité pendant l'agencement PCB puisque nous pouvons définir des longueurs de chemins, des styles de traversées, des isolements, etc., différents pour chaque classe de liens. Nous aurons cependant parfois besoin d'un ensemble particulier de conditions pour des connexions spécifiques. ISIS nous permet donc de créer nos propres classes de liens, puis de les envoyer vers ARES, nous permettant ainsi de définir des propriétés de routage et d'isolements spécifiques pour ces connexions.

Prenons un exemple. Sur le schéma du tutorial, considérons la sortie du convertisseur DC/DC sur la feuille analogique de notre dessin. Il s'agit d'un plan d'alimentation de 5V pour le circuit analogique, par conséquent nous voulons vraiment l'agencer avec une largeur de piste plus petite que celle de la classe de lien POWER et plus large que celle de la classe de liens SIGNAL. La procédure pour spécifier une nouvelle classe de liens est très simple.

Spécifier une nouvelle classe de liens

  • Selectionnez l'icône 'Label fil'.

  • Cliquez gauche sur un fil pour lui assigner une classe de liens. Chaque fil sur ce lien appartiendra à cette classe de liens – dans notre cas, placez-le entre la sortie du composant MAX1724 et le terminal SW_PW. Vous verrez alors un petit ‘x’ sous le curseur quand la souris sera au-dessus du fil.

  • Cliquez gauche sur le fil pour lancer la boite de dialogue des labels de fil. Tapez simplement ‘CLASS=ANSW’ pour assigner au fil une classe de liens.

Si vous avez compléter votre schéma en suivant cette procédre, vous avez donc ajouté une classe de liens. La classe de lien aura déjà été ajoutée si vous avez chargé le schéma pré-enregistré. Nous verrons dans la documentation de ARES comment configurer les styles de routage et les règles de conceptions pour une classe de liens donnée.

Voir également:

Classes de routage

Definir une classe de liens


Design Verification

VERIFICATION DU PROJET

Vérification du projet

Il est toujours judicieux de passer un peu de temps à la vérification de votre projet avant de le transférer dans ARES. ISIS vous fournit un outil performant et unique, l'explorateur de projet, qui vous permet de repérer les erreurs avant que vous terminiez la phase de dessin du schéma de votre projet. Découvrons à présent quelques unes des fonctionnalités del'explorateur de projet . Nous vous recommandons cependant de lire le chapitre y référant (Menu Aide – Aide ISIS) et de passer un peu de temps à vous familiariser avec cet outil.

Notez que vous pouvez voir dans l'explorateur de projet ce que vous avez déjà dessiné sur votre schéma.

L'explorateur de projet

Pour lancer l'explorateur de projet, allez dans le menu 'Projet' ou utiliser la barre d'outils en haut de l'application.

Icône Explorateur de projet

Quand l'explorateur de projet est lancé en mode par défaut, vous obtenez une boite de dialogue qui ressemble un peu à celle de l'explorateur Windows™. La partie gauche de la fenêtre affiche les différentes feuilles du projet; la partie droite montre les composants utilisés dans la feuille du projet que vous avez sélectionné. Pour voir les composants d'une autre feuille, cliquez sur la feuille de votre choix dans la partie gauche de la fenêtre.

Dans la version V.8 de Proteus, sur votre espace de travail, vous pouvez détacher chaque module contenu dans un onglet sur une fenêtre séparée. Cette fonctionnalité sera particulièrement utile si vous voulez visualiser plusieurs modules en même temps et possédez deux écrans ou un écran très grand. Pour déposer un onglet dans une nouvelle fenêtre, il vous suffit de faire glisser celui-ci jusqu'à un espace libre de votre écran. Cela vous permettra de voir l'explorateur de projet et votre schéma en même temps.

Ecran multi-fenêtres dans Proteus

Alternativement, si vous préférez travailler avec vos onglets dans une seule fenêtre, vous pouvez rapidement les rassembler en utilisant le raccourcis clavier CTRL+TAB.

Lorque vous lancez l'explorateur de projet, celui-ci est en mode par défaut; une boite de dialogue qui ressemble un peu à l'explorateur Windows™ s'ouvre alors. La partie gauche de la boite de dialogue affiche les feuilles du projet et la partie droite, le contenu de la feuille alors sélectionnée. Lorsque vous cliquez sur une feuille de la partie gauche de la boite de dialogue, le contenu de la partie droite sera modifié instantanément pour correspondre à la feuille alors sélectionnée.

[

L'explorateur de projet

L'explorateur de projet comprend deux modes distincts; le mode 'partlist' et le mode 'netlist'. Le premier vous permet de voir une repésentation physique des feuilles (les composants sur les feuilles du schéma), le second vous montre comment le schéma s'organise en groupes de connexions (liens). Vous pouvez passer de l'un à l'autre via les icônes en haut à gauche de la fenêtre.

Barre d'outils de l'explorateur de projet

Nous sommes en mode 'partlist' (composants) par défaut. Voyons ce que nous pouvons faire dans ce mode. Un peu plus tôt dans le tutorial, nous avons aborder comment contrôler le packaging d'un composant unique. L'explorateur de projet vous montre de plus grandes images et vous permet ainsi en un coup d'oeil de contrôler l'ensemble des packagings présents sur le schéma. Toutes les empreintes utilisées sont affichées à côté de leurs références schématiques à droite de la fenêtre, soit tout ce que nous avons besoin de faire et de vérifier que chaque composant à un boitier adapté sur les deux feuilles du schéma. Si un composant du schéma n'a pas d'empreinte, il apparaîtra avec un texte rouge 'MISSING' pour mettre en exergue le problème.

Un contrôle rapide fera apparaître immédiatement que nous n'avons pas associé d'empreinte au composant LED du schéma. Cliquez droit dans l'explorateur de projet sur la ligne de la LED et sélectionnez l'option 'Aller à l'élément du schéma' dans le menu déroulant.

Menu de l'explorateur de projet

Cette opération permettra de zoomer sur l'élément concerné et de le marquer pour l'éditer. Cliquez simplement droit sur le composant mis en sur-brillance et sélectionnez l'option 'Editer propriétés'. Nous suivrons la même procédure que citée plus haut dans ce tutorial pour trouver la bonne empreinte pour la LED. Nous avons une empreinte du même nom, donc tapez simplement LED dans le champ des packages PCB de la boite de dialogue pour la trouver.

Assigner LED au packaging

Une fois cette action effectuée, l'explorateur de projet sera automatiquement mis à jour.

Le packaging LED apparaît dans l'explorateur de projet

Maintenant, suivez simplement la même procédure qu'auparavant pour changer l'empreinte en 0805.

Nous pouvons également utiliser l'explorateur de projet pour examiner la connectivité du schéma. pour cela, passez en mode 'netlist' via l'icône située en haut à gauche de la boite de dialogue. La fenêtre d'édition ressemblera à la capture d'écran ci-dessous:

Icône Netlist

En premier lieu, notez que les noms des liens sont, comme nous l'avons vu, les mêmes que ceux des terminaux ou labels auxquels ils sont associés ou bien simplement un numéro si le lien correspond seulement à une connexion entre fils. Il suffit de cliquer droit sur un lien pour voir ses connexions sur la feuille en sélectionnant l'option 'Aller au lien du schéma' dans le menu déroulant. Cette fonctionnalité s'avère utile quand nous voulons contrôler les liens d'une broche spécifique par exemple ou si nous voulons nommer manuellement un lien (voir le chapitre précédents sur les connexions). Enfin, quand nous avons un lien ou un groupe de liens avec une classe de lien nommée (colonne la plus à droite dans la boite de dialogue), il peut être utile de vérifier les liens qui lui sont affectés.

Option 'Aller au lien du schéma' dans l'explorateur de projet

L'explorateur de projet est un outil très puissant qui a différentes utilisations selon l'état d'avancement de votre projet. Il peut être notamment utilisé comme lien entre le dessin du schéma et le PCB, facilitant ainsi le contrôle croisé et la consultation du PCB. Pour plus d'information, nous vous recommandons de consulter le chapitre y référant dans le manuel (Menu Aide – Aide ISIS).

Voir également :

Explorateur de projet


Bill Of Materials

NOMENCLATURE

Nomenclature

Il est souvent nécessaire de créer une nomenclature quand vous arrivez à la fin de la phase de dessin du schéma.ISIS permet d'inclure des informations supplémentaires à la nomenclature par défaut.

Commencez par regarder le fichier de sortie par défaut de la liste de matériel. Lancez la nomenclature à partir de la barre d'outils en haut de Proteus.

La commande 'Propriétés du schéma', que vous pouvez trouver dans le menu Projet génère les informations du premier paragraphe en haut du rapport.

Boite de dialogue d'édition des propriétés du schéma

Les items, dans l'éditeur de scripts, sont regroupés par préfixe. Par exemple, toutes les résistances ont comme préfixe ‘R’, les condensateurs ont comme préfixe ‘C’, et les IC's comme préfiwe 'U'. De façon similaire, les champs qui composent la nomenclature influent sur le contenu du rapport; ainsi, chaque champ correspond à une nouvelle colonne dans le rapport de nomenclature.

Vous pouvez créer, éditer ou supprimer un ou plusieurs champs et catégories de la nomenclature sur la partie gauche du tableau de contrôle de la nomenclature.

Section d'édition des informations de la nomenclature

Commençons à travailler à travers quelques exemples. Notre premier exemple sera de sélectionner tous les composants du fournisseur Digikey afin de le faire apparaître en tant que fournisseur.

Champs de la nomenclature

Lancez l'éditeur de champs de la nomenclature en cliquant sur le bouton AJOUTER qui se situe sous la liste déroulante des champs.

Bouton 'Ajouter' qui permet d'entrer dans la boite de dialogue d'édition des champs de la nomenclature.

Pour ajouter une colonne que vous avez défini au préalable, il vous suffit de la sélectionner à partir de la liste déroulante en haut de la boite de dialogue. Cependant, si vous n'avez pas défini de propriété FOURNISSEUR auparavant, il vous faut d'abord cliquer sur le bouton NOUVEAU pour créer une nouvelle propriété.

Ajouter un nouveau champ à la nomenclature

Ici, le nom de la propriété est FOURNISSEUR (SUPPLIER). Dans le champs 'description', on écrira ainsi 'Supplier' et dans le champ 'Type', on notera 'String'.

Création d'une nouvelle propriété

Nous n'avons pas besoin de préciser un préfixe ou un suffixe ici car il ne s'agit pas une propriété numérique. Cliquez sur le bouton OK pour quitter la boite de dialogue et enregistrer la propriété.

A ce stade, la nomenclature a commuté vers l'onglet 'Editeur de propriétés' qui s'apparent à une vision quadrillée des données du rapport. Nous avons besoin d'ajouter des informations dans la colonne "Fournisseur" pour chaque composant du projet. Nous pouvons faire ces modification pour chaque composant mais, si tous les composants proviennent du même fournisseur, il est plus facile d'utiliser l'icône 'Trouver et remplacer' pour modifier tous les composants en même temps. Pour se faire, cliquez gauche sur la colonne 'Fournisseur', puis utiliser le raccourcis clavier CTRL+F ou cliquez sur l'icône 'Trouver et remplacer'.

Boite de dialogue 'Trouver et remplacer'

Quittez le champ 'Trouver' et tapez Digikey dans le champ 'remplacer', puis assurez-vous que seule la première des cases situées en-dessous, appelée 'Seule colonne actuelle' est sélectionnée.

Ecrivez 'DigiKey' dans le champs 'remplacer'

Cliquez sur le bouton REMPLACER pour enregistrer la nouvelle donnée. Vous pourrez lors voir apparaître en bleu "Digikey" dans tous les champs de la colonne 'Fournisseur'.

DigiKey apparaît dans tous les champs de la colonne 'Fournisseur'

La couleur bleue indique que les changements n'ont pas encore été validés. Si vous avez fait une erreur, le bouton 'Effacer les changements en attente' vous permettra de revenir en arrière. Si tout est bon, alors appuyez sur le bouton 'Appliquer changements' pour valider les modifications apportées à la colonne 'Fournisseur'.

Appliquer les changements de nomenclature

Si vous permutez sur la vue HTML du rapport de nomenclature, vous verrez apparaître à présent les informations qui ont été ajoutées.

DigiKey apparaît maintenant dans la colonne FOURNISSEUR

Si vous retournez sur le schéma et éditez un composant de ce fournisseur, celui-ci apparaîtra automatiquement dans la boite d'édition du composant.

Le champ 'Fournisseur' est automatiquement ajouter dans ISIS

Lorsque vous modifiez des données dans la boite de dialogue d'édition des composants, le rapport de nomenclature est mis à jour automatiquement.

Toute modification dans ISIS entraîne une mise à jour automatique de la nomenclature

Ce processus peut être répété quelque soit la propriété : RoHS, MoQ, Lead Time, etc. Vous trouverez davantage d'exemples et de détails dans le manuel consacré à la nomenclature, accessible via le menu Aide du module NOMENCLATURE.

Notez que les modifications apportées aux propriétés sont appliquées localement aux composants du schéma et pas aux éléments en bibliothèque. Si vous souhaitez mettre à jour les éléments à partir des nouvelles informations que vous venez de fournir, utilisez la commande 'Compiler en bibliothèque' du menu 'Bibliothèque'. Ceci placera tous les composants du projet (avec les propriétés) dans la bibliothèque de votre choix.

Après avoir configuré les information de la nomenclature, vous pouvez générer le rapport à partir des options de sortie en bas de la barre d'outils.

Différents formats de fichiers de sortie sont disponibles dans la nomenclature

Vous avez également un contrôle total des couleurs et du style de votre rapport; pour cela, cliquez sur le bouton 'personnalisation des feuilles de styles' qui se trouve en haut de la vue HTML du rapport. Plus de détails sont donnés dans le manuel consacré à la nomenclature.

Impression

Il est souvent nécessaire de créer une nomenclature quand vous arrivez à la fin de la phase de dessin du schéma.

Pour imprimer votre schéma, sélectionnez d'abord la bonne imprimante en utilisant la commande 'Impression' dans le menu 'Fichier'. Cette commande ouvrira la boite de dialogue des options d'impression. Les détails disponibles dépendent de votre version de Windows et de vos drivers d'imprimante. Une fois que vous avez sélectionné la bonne imprimante, fermez la boite de dialogue et sélectionnez les options d'impression dans le menu 'Fichier' pour imprimer votre schéma. Un certain nombre d'options sont disponibles dans la boite de dialogue; pour plus de détails sur ces options, consultez le manuel sur la génération de fichiers d'impression. Pour ce qui nous concerne, nous allons simplement centrer le schéma et l'imprimer. Pour ce faire, cliquez droit sur le visionneur d'impression et sélectionnez la position de fichier de sortie 'Sortie au Centre', comme montré ci-dessous:

Vous pouvez également exporter votre schéma en format PDF à partir du menu Sortie (aucun driver requis).

Le schéma est à présent prêt pour la routage; si vous possédez PCB, vous pouvez dés à présent commencer la lecture du tutorial consacré à ARES.

Voir également:

Sorties imprimées


Making New Devices

CREER DE NOUVEAUX COMPOSANTS

APPENDICE: Créer de nouveaux composants

Si vous avez besoin d'un composant et qu'il n'est pas disponible dans les bibliothèques pré-enregistrées, vous pouvez le créer vous-même. De même, vous pouvez ajuster de façon permanente les propriétés ou empreintes d'un composant existant. Ce chapitre expliquera comment créer de nouveaux composants et les placer en bibliothèque.

Graphiques & Broches

Dans notre exemple, nous allons créer un composant extenseur Microchip MCP23008 I2C. La première chose à faire est de créer une représentation grahique du composant sur le schéma. Quand nous aurons terminé, nous devrions obtenir le dessin ci-dessous:

The MCP23008 Completed

Commençons par placer le corps du composant de la façon suivante:

  • Selectionnez l'icône de rectangle graphique 2D Graphics et assurez-vous que le style composant est sélectionné dans le sélecteur d'objets.

  • Cliquez gauche sur une zone vide du schéma pour commencer le placement.

  • Déplacez la souris jusqu'à obtenir la taille adéquate pour votre rectangle. Il est conseillé de faire votre rectangle un peu plus large que prévu car il pourra être redimensionné plus tard.

  • Cliquez gauche une nouvelle fois pour terminer le placement du rectangle 2D.

ISIS supporte un puissant système graphique de styles locaux et globaux; il a également la capacité de suivre ou pister les styles globaux, ce qui vous permet une customisation facile et flexible de l'apparence du schéma. Voir le chapitre sur les styles graphiques et de texte dans le manuel de référence pour plus d'information sur le fonctionnement et l'utilisation des styles graphiques.

Il nous faut ensuite placer les broches du composant:

  • Sélectionnez le mode Broche de Composant et assurez-vous que le type Broche par défaut a été sélectionné dans le sélecteur d'objets.

  • Cliquez gauche sur le schéma pour commencer le placement. La petite croix à l'extrémité de la broche indique le côté de la broche qui sera connecté; il est donc important qu'elle soit placée vers l'extérieur.

  • Déplacez la souris jusqu'à ce que l'autre côté de la broche touche le bord du composant, puis cliquez gauche pour terminer le placement.

  • Une nouvelle broche est automatiquement prête pour le placement; déplacez simplement la souris en dessous de la première broche pour placer cette nouvelle broche et cliquez gauche pour terminer.

  • Répétez le processus pour tout le côté gauche du composant en utilisant la capture d'écran ci-dessous comme référence.

  • Déplacez ensuite la souris du côté droit et utiliser les touches '-' et '+' du clavier pour orienter les broches dans le bon sens pour que la croix soit à l'extérieur du composant.

  • Placez toutes les broches du côté droit du composant

  • Cliquez droit quand vous avez terminé pour quitter le mode placement de broche.

Les touches (+) et (-) peuvent également vous permettre de roter la broche au moment du placement; lorsque vous faite cette opération, vous verrez que la position du numéro des broches est aussi modifié, le chiffre se trouve désormais dans le sens opposé à celui de son placement initial. Pour repositionner le numéro de broche à sa position initiale, cliquez droit sur la broche, puis cliquez sur l'option Y-Mirroir.

Votre composant ressemble à présent à la représentation ci-dessous:

Création du corps du composant MCP23008

La position actuelle des borches n'est pas vraiment esthétique et vous préférez sans doute avoir un positionnement différent que celui choisi pour l'instant.

Maintenant que nous avons placé les broches, il nous faut ajuster la taille du composant si besoin est. Pour cela, cliquez gauche sur un angle du composant (le curseur de la souris devient une flèche) et glissez la souris jusqu'à la taille voulue en gardant votre doigt appuyé sur le bouton gauche, puis relachez le bouton.

Cette opération est identique à celle de n'importe quel package. Par exemple, si vous cliquez droit sur la partie basse vous pourrez déplacer l'élément vers le haut ou la bas. Si vous cliquez droit sur un coin, vous pourrez le déplacer en diagonale. Assurez-vous cependant que toutes les broches touchent bien le bord du composant et suivent le déplacement.

Si vous voulez réaliser des ajustements plus précis, il vous faut ajuster le pas de la grille - ces options sont disponibles dans le menu Affichage (snap par défaut à 10 th).

Maintenant, nous avons la forme basique de notre composant. Nous pouvons donc ajouter des noms aux broches, selon la procédure suivante

  • Cliquez droit sur la broche située en haut à gauche sur le composant, et sélectionnez 'Editer Propriétés' dans le menu déroulant.

  • Tapez le nom de la broche (SCL), le numéro de broche par défaut (1) et le type électrique (INPUT). Vous pouvez utiliser les autres options pour contrôler la visibilité, mais les options par défaut nous suffisent ici.

    • Appuyez sur le bouton SUIVANT pour passer à la broche suivante dans la liste et ainsi de suite. Le schéma sera mis à jour et fera apparaître les noms des broches. Si vous n'êtes pas familier des noms de broches, utilisez le type par défaut, Passive.

    • Une fois arrivé à la broche RESET, vous aurez besoin d'ajouter une "barre" au-dessus du nom. Pour cela, ajouter simplement un dollar (‘$’) en préfixe et suffixe du nom ( $RESET$ ).

    • Appuyez sur le bouton OK quand vous avez terminé.

  • Vous avez peut-être noté qu'il manque quelque chose d'important sur le composant que nous avons dessiné, à savoir qu'il n'y a aucune broche physique d'alimentation sur celui-ci. Comme nous n'avons pas besoin de connecter les liens d'alimentation explicitement, nous n'avons pas besoin de broches physiques sur le composant. Il nous faut seulement nous assurer que les broches d'alimentation soient traitées correctement, et quelles seront présentes sur le PCB; nous discuterons de cela plus précisément dans la prochaine section. Il faut cependant noter que, bien qu'il soit très commun d'avoir des broches d'alimentation non physiques afin de réduire l'encombrement sur le schéma, il est conseillé de privilégier les éléments explicitement connectés. Dans ce cas, vous pouvez simplement ajouter deux broches supplémentaires et les nommer respectivement VDD et VSS.

  • Pour finir, nous allons créer un système à partir des éléments graphiques et des broches que nous avons déjà placé. Commencez par dessiner un rectangle de sélection autour de l'élément graphique (restez appuyé sur le bouton droit de la souris pour le dessiner). Ensuite, cliquez droit sur la souris à l'intérieur du rectangle de sélection et sélectionnez l'option 'Créer nouveau composant' dans le menu déroulant.

Icône 'Créer nouveau composant"

Dans la boite de dialogue résultante, vous pouvez customiser votre composant. Tous les champs de cette fenêtre ont une aide qui leur est associée, accessible par un clic sur le point d'interrogation situé en haut à droite de la boite de dialogue. Cependant, les seuls items dont nous avons besoin sont le nom du composant et le préfixe de référence. Le nom du composant sera ici MCP23008 et son préfixe de référence ‘U’.

Les préfixes de référence servent à catégoriser les éléments dans le fichier de sortie de la liste de matériel; ils sont également utiliser pour les notes. Les préfixes standards dans l'industrie sont ‘R’ pour les résistances, ‘C’ pour les condensateurs, ‘U’ pour CI’s, etc.

Utilisez le bouton SUIVANT en bas de la boite de dialogue pour passer à l'écran suivant.

Ajouter des empreintes

Dans un chapitre précédent de notre documentation, nous avons vu comment ajouter rapidement une empreinte à un composant du schéma. Cette fonctionnalité est pratique pour les composants basiques et passifs mais, si vous créez un composant, il vous faut suivre une procédure plus complexe. cela nous permettra de nous assurer que nous avons une correspondance correcte entre les broches du composant et les pastilles de l'empreinte et de traiter plus facilement les broches d'alimentation.

Cliquez sur le bouton AJOUTER/EDITER de la boite de dialogue 'Créer un nouveau composant' pour lancer l'outil de visualisation des package. La première chose que nous devons faire est de trouver la bonne empreinte en cliquant sur le bouton AJOUTER en haut de la boite de dialogue.

Bouton AJOUTER dans l'outil de visualisation des packages

Nous arrivons sur la boite de dialogue des packages découverte plus tôt dans cette documentation. Nous considérons que nous voulons le package monté en surface; tapez SOP18 dans le champ des mots clef et double cliquez sur le composant qui apparaît dans la liste de résultat.

Selectionnez le SO18W dans la bibliothèque des packages

L'outil de visualisation des package devrait ressembler à la capture d'écran ci-dessous.

ll faut noter plusieurs points ici. D'abord, les pastilles montrées sur la pré-visualisation qui sont blanches sont considérées comme tracées sur les broches du composant. Cela est du au fait que nous avons correctement spécifié les numéros des broches par défaut quand nous avons édité les broches plus tôt. Si vous avez choisi de laisser le champs des numéros de broches blanc, il faudra tracer la cartographie de toutes les broches dans la boite de dialogue.

En second lieu, nous voyons qu'il y a trois pastilles (7, 9 and 18) qui ne sont pas tracées sur les broches du composant. Normallement, nous aurons une base de données pour obtenir la cartogaphie des empreintes, mais dans le cas présent, la broche 7 est une broche NC (non connectée), la broche 9 est une broche VSS at la broche 18 est une broche VDD.

La broche NC est facile à manier – tapez simplement 7 dans le champs des broches NC. Notez que la pré-visualisation (à droite dans la boite de dialogue) se mettra à jour pour montrer que cette pastille est à présent considérée comme traitée.

Nous allons maintenant ajouter deux broches 'virtuelles' pour les broches d'alimentation. Il s'agit des broches que nous n'avons pas besoin de représenter sur le schéma (leur connexion dépend de leur nom) pour éviter un encombrement, mais il nous faut néanmoins les cartographier sur les pastilles de l'empreinte.

Si vous avez un doute sur vos liens d'alimentation ou vos connexions, jetez un oeil sur le chapitre sur la connectivité des circuits un peu plus haut dans cette documentation ou consulter le manuel de référence.

Cliquez sur le bouton AJOUTER BROCHE situé en dessous du tableau, tapez VSS pour le nom de la broche, puis répétez l'opération pour la broche VDD. Souvenez-vous que les connexions de ces broches virtuelles dépendent de leur nom, donc assurez-vous que vous les avez correctement nommées.

Ajouter une broche virtuelle

Après avoir créer les broches, nous allons les affecter aux pastilles sur l'empreinte selon la procédure suivante:

  • Cliquez dans la colonne la plus à droite de la ligne de la broche VSS.
  • Cliquez sur la pastille correspondante sur l'empreinte (pastille 9).
  • Le curseur se déplacera sur la broche suivante (VDD) par conséquent nous devons ensuite cliquer sur la pastille 18 du dessin pré-visualisé.

Cliquez sur les chemins pour affecter les broches.

Nous pouvons voir que toutes les pastilles sur l'empreinte sont mises en sur-brillance, ce qui indique que notre composant est à présent complétement packagé. Appuyez simplement sur le bouton AFFECTER PACKAGE de l'outil de visionnage des packages pour terminer et retourner à la boite de dialogue de création de composant.

Il est possible (est très utile) d'avoir plusieurs packagings pour un composant donné. Nous pouvons ainsi suivre la même procédure pour ajouter une empreinte DIL18 à un composant. Quand plusieurs packages existent, vous pouvez spécifier celui qui sera utilisé par défaut dans le champ prévu à cet effet sous le nom du package, dans l'outil de visualisation des packages.

Cliquez sur le bouton SUIVANT en bas de la boite de dialogue pour allez sur la section 'définition des propriétés'.

Voir également:

Outils de packaging

Ajouter des propriétés à un composant

Cet écran va nous permettre d'ajouter des propriétés à un composant. Nous avons vu une opération similaire un peu plus tôt dans cette documentation pour le cas particulier d'un composant ; la différence est que les propriétés entrées ici seront stockées dans la bibliothèque principale du composant et valables à chaque fois que vous utiliserez ce composant sur votre dessin.

Nous pouvons voir que la propriété PACKAGE est déjà définie – Nous l'avons en effet configuré visuellement sur l'écran précédent.

Prévisualisation du package

Considérons que nous voulons ajouter la propriété RoHS:

    • Commencez par cliquer sur le bouton NOUVEAU, puis cliquez sur l'item vide.
    • Sur le côté droit, écrivez le nom 'ROHS’ et la description ‘RoHS Compliant’
    • Le champ suivant concerne le type de données; dans notre cas, il s'agit d'un simple Booléen (OUI/NON) - Sélectionnez le dans la liste déroulante.
    • Changez la valeur par défaut en OUI et laissez le champ 'Visibilité' tel quel.

Si vous voulez ajouter plus de propriétés (comme Prix, Code, Fournisseur, etc.), répétez simplement l'opération décrite ci-dessus. La liste de matériel fournit également un bon moyen d'appliquer des données au schéma, comme nous l'avons montré plus tôt dans ce tutorial. Enfin, Finally, Si vous voulez ajouter des propriétés à grande échelle ou appliquer les propriétés à des composants déjà présents en bibliothèque, nous vous recommandons d'étudier le chapitre sur l'importation des données ASCII dans le manuel de référence.

Cliquez sur le bouton SUIVANT de la boite de dialogue quand vous avez terminé pour passer à l'écran suivant.

Attacher une base de données

Cet écran vous montre comment attacher une base de données au composant que vous avez créé. Pour ce faire, vous devez entrer un nom pour votre base de données, puis configurer le chemin FTP comme requis. Comme nous n'avons pas besoin de base de données ici, nous allons ignorer cette étape. Cependant, l'écran ci-dessous vous montrera un exemple d'attachement d'une base de données à un composant.

Assigner une notice technique à un composant

Le principal avantage de cette façon de travailler est d'avoir une notice technique du composant à placer. Si elle est déjà présente, vous pouvez simplement éditer le composant et cliquez sur le bouton DONNEES à droite de la fenêtre d'édition.

Cliquez sur le bouton DONNEES pour lancer le PDF des données de la feuille

Par commodité, nous avons configuré la plupart des composants de bibliothèque avec des notices techniques qui peuvent être téléchargées à partir de notre serveur web via ce bouton (capture écran ci-dessus).

Indexation et sélection en bibliothèque

L'écran final vous permet de catégoriser votre composant et de choisir dans quelle bibliothèque vous allez le placer. Comme nous avons vu plus tôt dans le tutorial, la description du composant et les catégories sont utilisées comme filtre quand nous cherchons et sélectionnons des composants en bibliothèque; il faut donc soigner votre description. L'écran ci-dessous vous montre ce qu'il faut écrire.

Ecran final de la Boite de dialogue de création de composant dans une bibliothèque

Quand vous avez terminé, cliquez simplement sur le bouton OK. Vous serez incité à remplacer toutes les instances du composant sur le schéma - cela vous permettra de mettre à jour le dessin si vous avez modifié un composant qui existe déjà sur le schéma.

Enfin, si vous sélectionnez à présent le composant dans le sélecteur d'objets et éditez ses propriétés, vous obtiendrez un résultat semblable à la capture d'écran ci-dessous:

Edition du composant pour le MCP23008

Il est également possible de créer des composants multi-elements dans ISIS. Vous trouverez plus de détails dans le chapitre y référant, dont le lien est donné ci-dessous.

Voir également:

Creation de composants Multi-Eléments